memory_resource File Reference

Go to the source code of this file.

## Namespaces

| __gnu_cxx
| std

## Macros

#define | __cpp_lib_experimental_memory_resources
#define | _GLIBCXX_EXPERIMENTAL_MEMORY_RESOURCE

## Typedefs

template<typename _Alloc >
using | std::experimental::fundamentals_v2::pmr::resource_adaptor = __resource_adaptor_imp< typename allocator_traits< _Alloc >::template rebind_alloc< char > >

## Functions

std::atomic< memory_resource * > & | std::experimental::fundamentals_v2::pmr::__get_default_resource ()
memory_resource * | std::experimental::fundamentals_v2::pmr::get_default_resource () noexcept
memory_resource * | std::experimental::fundamentals_v2::pmr::new_delete_resource () noexcept
memory_resource * | std::experimental::fundamentals_v2::pmr::null_memory_resource () noexcept
bool | std::experimental::fundamentals_v2::pmr::operator!= (const memory_resource &__a, const memory_resource &__b) noexcept
template<class _Tp1 , class _Tp2 >
bool | std::experimental::fundamentals_v2::pmr::operator!= (const polymorphic_allocator< _Tp1 > &__a, const polymorphic_allocator< _Tp2 > &__b) noexcept
bool | std::experimental::fundamentals_v2::pmr::operator== (const memory_resource &__a, const memory_resource &__b) noexcept
template<class _Tp1 , class _Tp2 >
bool | std::experimental::fundamentals_v2::pmr::operator== (const polymorphic_allocator< _Tp1 > &__a, const polymorphic_allocator< _Tp2 > &__b) noexcept
memory_resource * | std::experimental::fundamentals_v2::pmr::set_default_resource (memory_resource *__r) noexcept

## Detailed Description

This is a TS C++ Library header.

Definition in file memory_resource.